Package org.bukkit.event.world

# Class ChunkPopulateEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.ChunkEvent
org.bukkit.event.world.ChunkPopulateEvent

public class ChunkPopulateEvent extends ChunkEvent
Thrown when a new chunk has finished being populated.

If your intent is to populate the chunk using this event, please see `BlockPopulator`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.world.ChunkEvent

`chunk`

## Constructor Summary

Constructors
Constructor
Description
`ChunkPopulateEvent(@NotNull Chunk chunk)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.world.ChunkEvent

`getChunk`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChunkPopulateEvent

public ChunkPopulateEvent(@NotNull @NotNull Chunk chunk)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()